incubator-cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ertio Lew <ertio...@gmail.com>
Subject Cassandra DSC installation fail due to some python dependecies. How to rectify ?
Date Mon, 17 Feb 2014 20:21:02 GMT
I am trying to install cassandra dsc20 but the installation fails due to
some python dependecies. How could I make this work ?


root@server1:~# sudo apt-get install dsc20
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  cassandra libjna-java libopts25 ntp python python-minimal
python-support python2.7
  python2.7-minimal
Suggested packages:
  libjna-java-doc ntp-doc apparmor python-doc python-tk python2.7-doc
binutils binfmt-support
Recommended packages:
  perl
The following NEW packages will be installed:
  cassandra dsc20 libjna-java libopts25 ntp python python-minimal
python-support python2.7
  python2.7-minimal
0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded.
Need to get 17.1 MB of archives.
After this operation, 23.2 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
Get:1 http://debian.datastax.com/community/ stable/main cassandra all
2.0.5 [14.3 MB]
Get:2 http://us.archive.ubuntu.com/ubuntu/ raring/main libopts25 amd64
1:5.17.1-1ubuntu2 [62.2 kB]
Get:3 http://us.archive.ubuntu.com/ubuntu/ raring/main ntp amd64
1:4.2.6.p5+dfsg-2ubuntu1 [614 kB]
Get:4 http://us.archive.ubuntu.com/ubuntu/ raring/universe libjna-java
amd64 3.2.7-4 [416 kB]
Get:5 http://us.archive.ubuntu.com/ubuntu/ raring-security/main
python2.7-minimal amd64 2.7.4-2ubuntu3.2 [1223 kB]
Get:6 http://debian.datastax.com/community/ stable/main dsc20 all
2.0.5-1 [1302 B]
Get:7 http://us.archive.ubuntu.com/ubuntu/ raring-security/main
python2.7 amd64 2.7.4-2ubuntu3.2 [263 kB]
Get:8 http://us.archive.ubuntu.com/ubuntu/ raring/main python-minimal
amd64 2.7.4-0ubuntu1 [30.8 kB]
Get:9 http://us.archive.ubuntu.com/ubuntu/ raring/main python amd64
2.7.4-0ubuntu1 [169 kB]
Get:10 http://us.archive.ubuntu.com/ubuntu/ raring/universe
python-support all 1.0.15 [26.7 kB]
Fetched 17.1 MB in 3s (4842 kB/s)
Selecting previously unselected package libopts25.
(Reading database ... 27688 files and directories currently installed.)
Unpacking libopts25 (from .../libopts25_1%3a5.17.1-1ubuntu2_amd64.deb) ...
Selecting previously unselected package ntp.
Unpacking ntp (from .../ntp_1%3a4.2.6.p5+dfsg-2ubuntu1_amd64.deb) ...
Selecting previously unselected package libjna-java.
Unpacking libjna-java (from .../libjna-java_3.2.7-4_amd64.deb) ...
Selecting previously unselected package python2.7-minimal.
Unpacking python2.7-minimal (from
.../python2.7-minimal_2.7.4-2ubuntu3.2_amd64.deb) ...
Selecting previously unselected package python2.7.
Unpacking python2.7 (from .../python2.7_2.7.4-2ubuntu3.2_amd64.deb) ...
Selecting previously unselected package python-minimal.
Unpacking python-minimal (from .../python-minimal_2.7.4-0ubuntu1_amd64.deb) ...
Selecting previously unselected package python.
Unpacking python (from .../python_2.7.4-0ubuntu1_amd64.deb) ...
Selecting previously unselected package python-support.
Unpacking python-support (from .../python-support_1.0.15_all.deb) ...
Selecting previously unselected package cassandra.
Unpacking cassandra (from .../cassandra_2.0.5_all.deb) ...
Selecting previously unselected package dsc20.
Unpacking dsc20 (from .../archives/dsc20_2.0.5-1_all.deb) ...
Processing triggers for man-db ...
Processing triggers for desktop-file-utils ...
Setting up libopts25 (1:5.17.1-1ubuntu2) ...
Setting up ntp (1:4.2.6.p5+dfsg-2ubuntu1) ...
 * Starting NTP server ntpd
                     [ OK ]
Setting up libjna-java (3.2.7-4) ...
Setting up python2.7-minimal (2.7.4-2ubuntu3.2) ...
# Empty sitecustomize.py to avoid a dangling symlink
Traceback (most recent call last):
  File "/usr/lib/python2.7/py_compile.py", line 170, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/py_compile.py", line 162, in main
    compile(filename, doraise=True)
  File "/usr/lib/python2.7/py_compile.py", line 106, in compile
    with open(file, 'U') as f:
IOError: [Errno 2] No such file or directory:
'/usr/lib/python2.7/sitecustomize.py'
dpkg: error processing python2.7-minimal (--configure):
 subprocess installed post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of python2.7:
 python2.7 depends on python2.7-minimal (= 2.7.4-2ubuntu3.2); however:
  Package python2.7-minimal is not configured yet.

dpkg: error processing python2.7 (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python-minimal:
 python-minimal depends on python2.7-minimal (>= 2.7.4-1~); however:
  Package python2.7-minimal is not configured yet.

dpkg: error processing python-minimal (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python:
 python depends on python2.7 (>= 2.7.4-1~); however:
  Package python2.7 is not configured yet.
 python depends on python-minimal (= 2.7.4-0ubuntu1); however:
  Package python-minimal is not configured yet.

dpkg: error processing python (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of python-support:
 python-support depends on python (>= 2.5); however:
  Package python is not configured yet.
 python-support depends on python-minimal; however:
  Package python-minimal is not configured yet.

dpkg: error processing python-support (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of cassandra:
 cassandra depends on python (>= 2.5); however:
  Package python is not configured yet.
 cassandra depends on python-support (>= 0.90.0); however:
  Package python-support is not configured yet.

dpkg: error processing cassandra (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of dsc20:
 dsc20 depends on cassandra (= 2.0.5); however:
  Package cassandra is not configured yet.
 dsc20 depends on python (>= 2.5); however:
  Package python is not configured yet.
 dsc20 depends on python-support (>= 0.90.0); however:
  Package python-support is not configured yet.

dpkg: error processing dsc20 (--configure):
 dependency problems - leaving unconfigured
Processing triggers for libc-bin ...
ldconfig deferred processing now taking place
Errors were encountered while processing:
 python2.7-minimal
 python2.7
 python-minimal
 python
 python-support
 cassandra
 dsc20
E: Sub-process /usr/bin/dpkg returned an error code (1)

root@server1:~# apt-cache policy dsc20
dsc20:
  Installed: 2.0.5-1
  Candidate: 2.0.5-1
  Version table:
 *** 2.0.5-1 0
        500 http://debian.datastax.com/community/ stable/main amd64 Packages
        100 /var/lib/dpkg/status
     2.0.4-1 0
        500 http://debian.datastax.com/community/ stable/main amd64 Packages
     2.0.3-1 0
        500 http://debian.datastax.com/community/ stable/main amd64 Packages
     2.0.2-1 0
        500 http://debian.datastax.com/community/ stable/main amd64 Packages
     2.0.1-1 0
        500 http://debian.datastax.com/community/ stable/main amd64 Packages
     2.0.0-1 0
        500 http://debian.datastax.com/community/ stable/main amd64 Packages
root@server1:~#

Does any one have an idea how should i rectiffy this ?
--
Sent via http://goo.gl/ShmGM

Mime
View raw message